package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.IndexErrorType;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(index_err_data_record):
 */
public class IndexErrDataRecord {

	/**  */
	private Long id;
	
	/** 分部编号 */
	private Integer organId;
	
	/** 数据id */
	private String dataId;
	
	/** 数据类型 */
	private IndexErrorType dataType;
	
	/** 处理人编号 */
	private Integer dealUserId = -1;
	
	/** 生成时间 */
	private java.util.Date createTime;

	private Date generateTime;
	
	/** 处理时间 */
	private java.util.Date dealTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setDataId(String dataId){
		this.dataId = dataId;
	}
	
	public String getDataId(){
		return this.dataId;
	}

	public IndexErrorType getDataType() {
		return dataType;
	}

	public void setDataType(IndexErrorType dataType) {
		this.dataType = dataType;
	}

	public void setDealUserId(Integer dealUserId){
		this.dealUserId = dealUserId;
	}
	
	public Integer getDealUserId(){
		return this.dealUserId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}

	public Date getGenerateTime() {
		return generateTime;
	}

	public void setGenerateTime(Date generateTime) {
		this.generateTime = generateTime;
	}

	public void setDealTime(java.util.Date dealTime){
		this.dealTime = dealTime;
	}
	
	public java.util.Date getDealTime(){
		return this.dealTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
